Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.im.controls.contentselectors
Interface ContentSelectorManagerControl

    @ControlInterface
    public interface ContentSelectorManagerControl

A custom Java Control used to manage content selectors.

Method Summary
`com.bea.p13n.rules.model.RuleModel` | `getContentSelector(String contentSelectorUri, ResourceContext context)` Returns a `RuleModel` obect representing the content selector at the specified URI.
`SortableFilterablePagedResult<com.bea.p13n.rules.model.RuleModel>` | `getContentSelectors(int pageSize, ResourceContext context)` Returns a `PagedResult` of all the `RuleModel` objects within the system representing content selectors, in arbitrary order.
`void` | `setContentSelector(com.bea.p13n.rules.model.RuleModel model, ResourceContext context)` Persists the given `RuleModel` representing a content selector.
`void` | `setContentSelector(String contentSelectorUri, com.bea.p13n.rules.model.RuleModel model, boolean create, ResourceContext context)` Persists the given `RuleModel` representing a content selector.

Method Detail

### getContentSelectors

    SortableFilterablePagedResult<com.bea.p13n.rules.model.RuleModel> getContentSelectors(int pageSize,
                                                                                          ResourceContext context)
                                                                                          throws com.bea.p13n.management.data.repository.PersistenceException,
                                                                                                 org.apache.xmlbeans.XmlException

  Returns a `PagedResult` of all the `RuleModel` objects within the system representing content selectors, in arbitrary order. Returns an empty list if no content selectors are defined.

  Parameters
    `pageSize` - the int page size for the `PagedResult`
    `context` - the resource context
  Returns
    a `PagedResult` of `RuleModel` objects
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data
  See Also
    `PagedResult`, `RuleModel`

### getContentSelector

    com.bea.p13n.rules.model.RuleModel getContentSelector(String contentSelectorUri,
                                                          ResourceContext context)
                                                          throws com.bea.p13n.management.data.repository.PersistenceException,
                                                                 org.apache.xmlbeans.XmlException

  Returns a `RuleModel` obect representing the content selector at the specified URI. Returns null if the content selector is not defined.

  Parameters
    `contentSelectorUri` - the string URI for the desired content selector
    `context` - the resource context
  Returns
    a `RuleModel` representing the desired content selector
  Throws
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for the model data
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data
  See Also
    `RuleModel`

### setContentSelector

    void setContentSelector(String contentSelectorUri,
                            com.bea.p13n.rules.model.RuleModel model,
                            boolean create,
                            ResourceContext context)
                            throws IllegalArgumentException,
                                   com.bea.p13n.management.data.repository.MessageException,
                                   com.bea.p13n.management.data.repository.PersistenceException,
                                   org.apache.xmlbeans.XmlException

  Persists the given `RuleModel` representing a content selector. Any existing rule at the given contentSelectorUri will be replaced by the new one.

  Parameters
    `contentSelectorUri` - the string URI for the desired content selector. Cannot be null.
    `model` - a `RuleModel` representing the content selector
    `create` - if true then create the content selector if it does not exist. If false then do not create the content selector if it does not exist. In both cases, an existing content selector will be replaced with the new one.
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if create=false and the content selector you are trying to replace does not exist at the given contentSelectorUri.
    `com.bea.p13n.management.data.repository.MessageException` - if an error occurs while persisting model data
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for model data or persist model data
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data

### setContentSelector

    void setContentSelector(com.bea.p13n.rules.model.RuleModel model,
                            ResourceContext context)
                            throws IllegalArgumentException,
                                   com.bea.p13n.management.data.repository.MessageException,
                                   com.bea.p13n.management.data.repository.PersistenceException,
                                   org.apache.xmlbeans.XmlException

  Persists the given `RuleModel` representing a content selector. Any existing rule at the given contentSelectorUri will be replaced by the new one.

  Parameters
    `model` - a `RuleModel` representing the content selector
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if create=false and the content selector you are trying to replace does not exist at the given contentSelectorUri.
    `com.bea.p13n.management.data.repository.MessageException` - if an error occurs while persisting model data
    `com.bea.p13n.management.data.repository.PersistenceException` - if an error occurs while trying to query for model data or persist model data
    `org.apache.xmlbeans.XmlException` - if an error occurs while parsing the model data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.